Bug 440490 - check for updates -> hourly doesn't actually check hourly
check for updates -> hourly doesn't actually check hourly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9PKBlocker
  Show dependency treegraph
 
Reported: 2008-04-03 15:20 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 00:49:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (5.72 KB, text/plain)
2008-04-03 15:20 EDT, Bill Nottingham
no flags Details
log after manually doing pkcon refresh (93.67 KB, text/plain)
2008-04-03 15:23 EDT, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2008-04-03 15:20:13 EDT
Description of problem:

gpk-update-icon log attached. I have to manually do a pkcon refresh
for it to see updates.

Version-Release number of selected component (if applicable):

gnome-packagekit-0.1.11-0.518.20080401git.fc9.x86_64
Comment 1 Bill Nottingham 2008-04-03 15:20:13 EDT
Created attachment 300309 [details]
log
Comment 2 Bill Nottingham 2008-04-03 15:23:54 EDT
Created attachment 300311 [details]
log after manually doing pkcon refresh
Comment 3 Richard Hughes 2008-04-04 03:16:21 EDT
Excellent, thanks for the logs. I'll try to work out why GetUpdates does not
download the new metadata, as it's being scheduled correctly. Are you running
rawhide or koji as repos?
Comment 4 Bill Nottingham 2008-04-04 10:03:23 EDT
koji static repos:

[rawhide]
name=Fedora - Rawhide
failovermethod=priority
baseurl=http://koji.fedoraproject.org/static-repos/dist-f9-build-current/x86_64/
enabled=1
gpgcheck=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-test
file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

[dfoo]
baseurl=http://koji.fedoraproject.org/static-repos/dist-f9-build-current/i386/
name=foo
enabled=1
gpgcheck=0

Comment 5 Richard Hughes 2008-04-11 11:20:30 EDT
If you wait 10 minutes or so without using anything packagekit related, does the
packagekitd process still remain?
Comment 6 Bill Nottingham 2008-04-11 13:56:44 EDT
packagekitd does not seem to exit. Of course, gpk is telling me there are
updates available - don't know if that changes what you're trying to check for.
Comment 7 Matthias Clasen 2008-04-11 20:04:13 EDT
One thing that might affect the accuracy of the scheduling is that
gpk-auto-refresh has a 1-hour timeout to check how long ago the last update
happened. 
But it also does an update one minute after starting, so what happens is that 
the timemout is triggered after one hour, sees that the last update was only ~55
minutes ago, and goes to sleep for another hour. The next time it wakes up, the
update will be 1:55 ago, and so an update will be done. The third time it wakes
up, the last update will again be only 55 minutes in the past, etc.

I you want to get closer to "hourly" actually meaning once per hour, you should
either reschedule the timeout after each completed update, or make it run more
frequent, say every 35 minutes.
Comment 8 Richard Hughes 2008-04-13 09:45:15 EDT
I've merged your doumentation patch to stable.

Note You need to log in before you can comment on or make changes to this bug.